package com.ss.android.ugc.aweme.feed.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public class ItemCommentEggData implements Serializable {
    @c(LIZ = "egg_id")
    public String eggId;
    @c(LIZ = "file_type")
    public String fileType;
    @c(LIZ = "material_url")
    public String materialUrl;
    @c(LIZ = "open_url")
    public String openUrl;
    @c(LIZ = "regex")
    public String regex;
    @c(LIZ = "web_url")
    public String webUrl;

    static {
        Covode.recordClassIndex(78948);
    }

    public String getEggId() {
        return this.eggId;
    }

    public String getFileType() {
        return this.fileType;
    }

    public String getMaterialUrl() {
        return this.materialUrl;
    }

    public String getOpenUrl() {
        return this.openUrl;
    }

    public String getRegex() {
        return this.regex;
    }

    public String getWebUrl() {
        return this.webUrl;
    }

    public String toString() {
        return "ItemCommentEggData{regex='" + this.regex + '\'' + ", fileType='" + this.fileType + '\'' + ", webUrl='" + this.webUrl + '\'' + ", openUrl='" + this.openUrl + '\'' + ", materialUrl='" + this.materialUrl + '\'' + ", eggId='" + this.eggId + '\'' + '}';
    }

    public void setEggId(String str) {
        this.eggId = str;
    }

    public void setFileType(String str) {
        this.fileType = str;
    }

    public void setMaterialUrl(String str) {
        this.materialUrl = str;
    }

    public void setOpenUrl(String str) {
        this.openUrl = str;
    }

    public void setRegex(String str) {
        this.regex = str;
    }

    public void setWebUrl(String str) {
        this.webUrl = str;
    }
}
